View Issue Details

IDProjectCategoryView StatusLast Update
09783Feature requestsRemoteControlpublic2015-08-12 14:24
ReporterJanE Assigned Toc_schmitz  
PrioritynormalSeverityfeature 
Status closedResolutionfixed 
Fixed in Version2.05+ 
Summary09783: Use "adminname <adminemail>" as from-header in emailTokens
DescriptionThe Remotecontral 2 API uses emailTokens() in application/helpers/admin/token_helper.php to send messages. The 'from' in those messages consists of only the email address of the admin. It would be better to make that "adminname <adminemail>".
Additional InformationRegistration messages use the full "adminname <adminemail>". See https://github.com/LimeSurvey/LimeSurvey/blob/master/application/controllers/RegisterController.php#L243

However, messages ent by the LSRC2 API use only the mailaddress. See https://github.com/LimeSurvey/LimeSurvey/blob/master/application/helpers/admin/token_helper.php#L81

Change that line 81 to solve the issue
$from = $fieldsarray["{ADMINNAME}"] . ' <' . $fieldsarray["{ADMINEMAIL}"] . '>';
TagsNo tags attached.

Activities

c_schmitz

c_schmitz

2015-07-22 09:59

administrator   ~32748

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=15600
JanE

JanE

2015-08-05 10:02

reporter   ~32885

Thanks. Reporters cannot close fixed (or 'wontfix') issues. It could clean up the issue queue a lot if we (reporters) could do that ourselves.

Related Changesets

LimeSurvey: master 08447cf0

2015-07-20 15:01:28

Jan-E

Details Diff
Fix 09783: Use "adminname <adminemail>" as from-header in emailTokens Affected Issues
09783
mod - application/helpers/admin/token_helper.php Diff File

LimeSurvey: master 1f382c37

2015-07-22 07:59:03

c_schmitz

Details Diff
Merge pull request #339 from Jan-E/master

Fix 09776: Mail registered participants with RemoteControl API & Fix 09783: Use "adminname <adminemail>" as from-header in emailTokens
Affected Issues
09776, 09783
mod - application/helpers/admin/token_helper.php Diff File
mod - application/helpers/remotecontrol/remotecontrol_handle.php Diff File

Issue History

Date Modified Username Field Change
2015-07-17 21:54 JanE New Issue
2015-07-22 09:59 Changeset attached => LimeSurvey master 08447cf0
2015-07-22 09:59 c_schmitz Changeset attached => LimeSurvey master 1f382c37
2015-07-22 09:59 c_schmitz Note Added: 32748
2015-07-22 09:59 c_schmitz Assigned To => c_schmitz
2015-07-22 09:59 c_schmitz Resolution open => fixed
2015-08-05 10:02 JanE Note Added: 32885
2015-08-12 14:24 c_schmitz Status new => closed
2015-08-12 14:24 c_schmitz Fixed in Version => 2.05+